Fedora 12 updates-testing report

updates at fedoraproject.org updates at fedoraproject.org
Fri May 7 04:04:26 UTC 2010


The following builds have been pushed to Fedora 12 updates-testing

    389-ds-console-1.2.2-1.fc12
    Miro-3.0.1-1.fc12
    cherokee-0.99.49-1.fc12
    cobbler-2.0.4-1.fc12
    erlang-R13B-04.10.fc12
    idm-console-framework-1.1.5-1.fc12
    perl-Locale-Maketext-Lexicon-0.82-1.fc12
    python-beaker-1.5.3-1.fc12
    python-eventlet-0.9.7-1.fc12
    python-repoze-what-plugins-sql-1.0-1.fc12
    python-routes-1.12.1-1.fc12
    python-webob-0.9.8-1.fc12
    remmina-0.7.5-1.fc12
    rubygem-ParseTree-3.0.5-1.fc12
    rubygem-ZenTest-4.3.1-1.fc12
    rubygem-haml-2.2.24-1.fc12
    rubygem-rcov-0.9.8-1.fc12
    rubygem-sexp_processor-3.0.4-1.fc12
    rubygem-thor-0.13.6-1.fc12
    selinux-policy-3.6.32-114.fc12
    squashfs-tools-4.0-3.fc12
    stonevpn-0.4.8-1.fc12

Details about builds:


================================================================================
 389-ds-console-1.2.2-1.fc12 (FEDORA-2010-8107)
 389 Directory Server Management Console
--------------------------------------------------------------------------------
Update Information:

This fix allows the ds console to handle DNs which contain LDAPv3 escapes
--------------------------------------------------------------------------------
ChangeLog:

* Fri Apr 30 2010 Rich Megginson <rmeggins at redhat.com> 1.2.2-1
- the 1.2.2 release
* Thu Apr 15 2010 Rich Megginson <rmeggins at redhat.com> 1.2.1-1
- the 1.2.1 release
* Fri Dec 18 2009 Rich Megginson <rmeggins at redhat.com> - 1.2.0-6
- Excluding PPC for EPEL builds as there is not openjdk there
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #586571 - DS Console shows escaped DNs
        https://bugzilla.redhat.com/show_bug.cgi?id=586571
--------------------------------------------------------------------------------


================================================================================
 Miro-3.0.1-1.fc12 (FEDORA-2010-8104)
 Internet TV Player
--------------------------------------------------------------------------------
Update Information:

Miro 3.0 has been tested in F-13 for a while and fixes most of the crashing
issues with Miro-2.5.4/F-12. This update brings the first bugfix release in the
3.0.x series, plus an additional patch, from upstream, to work around xulrunner
1.9.2.x problems.
--------------------------------------------------------------------------------
ChangeLog:

* Wed May  5 2010 Michel Salim <salimma at fedoraproject.org> - 3.0.1-1
- Update to 3.0.1
* Mon Apr 12 2010 Martin Stransky <stransky at redhat.com> - 3.0-2
- Updated gecko dependency
* Fri Apr  9 2010 Michel Salim <salimma at fedoraproject.org> - 3.0-1
- Update to 3.0
- Use mimeinfo and icon cache scriptlets
- Drop unneeded dependencies
* Sat Apr  3 2010 Caolán McNamara <caolanm at redhat.com> - 2.5.4-4
- Rebuild against newer gecko
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #551867 - [abrt] crash detected in Miro-2.5.4-1.fc12
        https://bugzilla.redhat.com/show_bug.cgi?id=551867
  [ 2 ] Bug #546141 - [abrt] crash detected in Miro-2.5.3-3.fc13
        https://bugzilla.redhat.com/show_bug.cgi?id=546141
  [ 3 ] Bug #548940 - [abrt] crash detected in Miro-2.5.4-1.fc12
        https://bugzilla.redhat.com/show_bug.cgi?id=548940
  [ 4 ] Bug #575339 - [abrt] crash in Miro-2.5.4-2.fc12: Process /usr/bin/python was killed by signal 6 (SIGABRT)
        https://bugzilla.redhat.com/show_bug.cgi?id=575339
  [ 5 ] Bug #569656 - [abrt] crash in Miro-2.5.4-2.fc12: Process /usr/bin/python was killed by signal 6 (SIGABRT)
        https://bugzilla.redhat.com/show_bug.cgi?id=569656
  [ 6 ] Bug #568707 - [abrt] crash in Miro-2.5.4-2.fc12: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
        https://bugzilla.redhat.com/show_bug.cgi?id=568707
  [ 7 ] Bug #569199 - [abrt] crash in Miro-2.5.4-2.fc12: player.py:60:skip_backward:TypeError: unsupported operand type(s) for -: 'NoneType' and 'float'
        https://bugzilla.redhat.com/show_bug.cgi?id=569199
--------------------------------------------------------------------------------


================================================================================
 cherokee-0.99.49-1.fc12 (FEDORA-2010-8128)
 Flexible and Fast Webserver
--------------------------------------------------------------------------------
Update Information:

Changes since 0.99.44:    * **New cherokee-admin (rewritten from scratch)**  *
FIX: Reverse proxy bug  * FIX: Handler init bug: crashed on ARM  * FIX: Adds
missing HTTP methods  * FIX: PTHREAD_RWLOCK_INITIALIZER usage  * FIX: uWSGI
paths bug  * FIX: WordPress wizard bug  * FIX: Safer (synchronous) cherokee-
admin start  * FIX: Keep-alive related bug  * FIX: Error log management has been
fixed  * FIX: Re-integrates the phpMyAdmin wizard  * FIX: Cherokee-admin default
timeout increased  * FIX: Wordpress wizard  * FIX: Flags in the GeoIP plug-in  *
FIX: LOCK method detection  * FIX: upgrade_config.py was broken  * I18n: Chinese
translation updated  * I18n: New translation to Polish  * I18n: Spanish
translation updated  * I18n: Dutch translation updated  * DOC: Improves Server
Info handler documentation  * DOC: Many documentation updates  * DOC: New
screenshots  * DOC: PHP recipe improved
--------------------------------------------------------------------------------
ChangeLog:

* Wed May  5 2010 Lorenzo Villani <lvillani at binaryhelix.net> - 0.99.49-1
- Changes since 0.99.44:
- New cherokee-admin (rewritten from scratch)
- FIX: Reverse proxy bug
- FIX: Handler init bug: crashed on ARM
- FIX: Adds missing HTTP methods
- FIX: PTHREAD_RWLOCK_INITIALIZER usage
- FIX: uWSGI paths bug
- FIX: WordPress wizard bug
- FIX: Safer (synchronous) cherokee-admin start
- FIX: Keep-alive related bug
- FIX: Error log management has been fixed
- FIX: Re-integrates the phpMyAdmin wizard
- FIX: Cherokee-admin default timeout increased
- FIX: Wordpress wizard
- FIX: Flags in the GeoIP plug-in
- FIX: LOCK method detection
- FIX: upgrade_config.py was broken
- I18n: Chinese translation updated
- I18n: New translation to Polish
- I18n: Spanish translation updated
- I18n: Dutch translation updated
- DOC: Improves Server Info handler documentation
- DOC: Many documentation updates
- DOC: New screenshots
- DOC: PHP recipe improved
* Fri Apr 23 2010 Lorenzo Villani <lvillani at binaryhelix.net> - 0.99.44-1
- FIX: Large POST support bug fixed
- FIX: UTF-8 requests bug fixed
- FIX: 7z MIME-type
- FIX: Added missing HTTP response codes
- FIX: Added missing HTTP methods
- FIX: Many documentation typos fixed
- I18N: Dutch translation updated
--------------------------------------------------------------------------------


================================================================================
 cobbler-2.0.4-1.fc12 (FEDORA-2010-8095)
 Boot server configurator
--------------------------------------------------------------------------------
Update Information:

Cobbler 2.0.4 release
--------------------------------------------------------------------------------
ChangeLog:

* Tue Apr 27 2010 Scott Henson <shenson at redhat.com> - 2.0.4-1
- Bug fix release, see Changelog for details
--------------------------------------------------------------------------------


================================================================================
 erlang-R13B-04.10.fc12 (FEDORA-2010-8108)
 General-purpose programming language and runtime environment
--------------------------------------------------------------------------------
Update Information:

Disabled automatic dependency generator for now.
--------------------------------------------------------------------------------
ChangeLog:

* Thu May  6 2010 Peter Lemenkov <lemenkov at gmail.com> - R13B-04.10
- Disabled automatic requires/provides generation
* Wed Apr 28 2010 Peter Lemenkov <lemenkov at gmail.com> - R13B-04.9
- Added missing files, necessary for emacs (see rhbz #585349)
- Patches rebased
* Tue Apr 27 2010 Peter Lemenkov <lemenkov at gmail.com> - R13B-04.8
- Added missing BuildRequires libxslt (for building docs)
- Removed %post script completely (resolves rhbz #586428)
- Since now both docs and man-pages are built from sources
- No need to manually create symlinks in %{_bindir}
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #564018 - erlang could use some subpackaging
        https://bugzilla.redhat.com/show_bug.cgi?id=564018
  [ 2 ] Bug #585349 - The emacs mode shipped with Erlang R13B04 is missing necessary files
        https://bugzilla.redhat.com/show_bug.cgi?id=585349
  [ 3 ] Bug #586428 - error on upgrade
        https://bugzilla.redhat.com/show_bug.cgi?id=586428
--------------------------------------------------------------------------------


================================================================================
 idm-console-framework-1.1.5-1.fc12 (FEDORA-2010-8126)
 Identity Management Console Framework
--------------------------------------------------------------------------------
Update Information:

This fix allows the console to handle DNs which use LDAPv3 escapes
--------------------------------------------------------------------------------
ChangeLog:

* Tue May  4 2010 Rich Megginson <rmeggins at redhat.com> - 1.1.5-1
- The 1.1.5 release - added code to deal with LDAPv3 escape sequences
* Thu Apr 15 2010 Rich Megginson <rmeggins at redhat.com> - 1.1.4-1
- The 1.1.4 release - just a few bug fixes
* Fri Dec 18 2009 Rich Megginson <rmeggins at redhat.com> - 1.1.3-3
- Excluding PPC for EPEL builds as there is not openjdk there
- change url to port389.org
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #586571 - DS Console shows escaped DNs
        https://bugzilla.redhat.com/show_bug.cgi?id=586571
--------------------------------------------------------------------------------


================================================================================
 perl-Locale-Maketext-Lexicon-0.82-1.fc12 (FEDORA-2010-8089)
 Extract translatable strings from source
--------------------------------------------------------------------------------
ChangeLog:

* Thu May  6 2010 Ralf Corsépius <corsepiu at fedoraproject.org> - 0.82-1
- Upstream update.
--------------------------------------------------------------------------------


================================================================================
 python-beaker-1.5.3-1.fc12 (FEDORA-2010-8138)
 WSGI middleware layer to provide sessions
--------------------------------------------------------------------------------
Update Information:

***Release 1.5.3 (3/2/2010)***    * Fix Python 2.4 incompatibility with google
import.    ***Release 1.5.2 (3/1/2010)***    * pkg_resources scanning for
additional Beaker back-ends gracefully handles situations where its not present
(GAE). Fixes #36.  * Avoid timing attacks on hash comparison.  * Provide
abstract base for MemoryNamespaceManager that deals with  "dictionaries".  *
Added tests for invalidating cache, and fixed bug with function cache when no
args are present.  * The SQLAlchemy backends require SQLAlchemy 0.4 or greater
(0.6 recommended).  * Added support for PyCrypto module to encrypted session,
etc. in addition to the existing pycryptopp support.
--------------------------------------------------------------------------------
ChangeLog:

* Mon Mar 22 2010 Luke Macken <lmacken at redhat.com> - 1.5.3-1
- Update to 1.5.3
- Remove the abspath patch, which was fixed upstream
- Run the test suite
* Fri Jan 22 2010 Luke Macken <lmacken at redhat.com> - 1.5.1-1
- Update to 1.5.1
- Remove beaker-hmac2.4.patch, which made it into 1.4 upstream
- Remove middleware-config.patch which is also upstream
--------------------------------------------------------------------------------


================================================================================
 python-eventlet-0.9.7-1.fc12 (FEDORA-2010-8136)
 Highly concurrent networking library
--------------------------------------------------------------------------------
Update Information:

Initial release of python-eventlet package.
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #582234 - Review Request: python-eventlet - Highly concurrent networking library
        https://bugzilla.redhat.com/show_bug.cgi?id=582234
--------------------------------------------------------------------------------


================================================================================
 python-repoze-what-plugins-sql-1.0-1.fc12 (FEDORA-2010-8133)
 The repoze.what SQL plugin
--------------------------------------------------------------------------------
ChangeLog:

* Wed May  5 2010 Luke Macken <lmacken at redhat.com> - 1.0-1
- Update to 1.0
--------------------------------------------------------------------------------


================================================================================
 python-routes-1.12.1-1.fc12 (FEDORA-2010-8109)
 Rails-like routes for Python
--------------------------------------------------------------------------------
Update Information:

***Release 1.12.1 (March 11, 2010)***    * Fix bug with routes not generating
URL’s with callables in defaults.  * Fix bug with routes not handling sub-domain
defaults during generation.    ***Release 1.12 (February 28, 2010)***    * Split
up the Routes docs.  * Fix bug with relative URL’s using qualified merging host
and URL without including the appropriate slash. Fixes #13.  * Fix bug with
mapper.extend and Routes modifying their original args. Fixes #24.  * Fix
url.current() not returning current args when explicit is True.  * Added
explicit way to directly use the Mapper to match with environ.  * Fix bug with
improper len placement for submapper.  * Adding regular expression builder for
entire regexp for faster rejection in a single regexp match should none of the
routes match.  * Give Mapper a tabular string representation.  * Make SubMapper
objects nestable and add route-generation helpers.  * Add SubMapper-based
collections.  * Make the deprecated Mapper.minimization False (disabled) by
default.  * Make the mapper explicit (true) by default.    ***Release 1.11
(September 28, 2009)***    * Extensive documentation rewrite.  * Added
Mapper.extend function that allows one to add lists of Routes objects to the
mapper in one batch, optionally with a path_prefix.  * Added Mapper.submapper
function that returns a SubMapper object to enable easier declaration of routes
that have multiple keyword argument options in common.  * Mapper controller_scan
argument now handles None, and lists of controller names in addition to a
callable.  * Route object now takes a name parameter, which is the name it
responds to. This name is automatically added when called by using Mapper’s
connect class method.  * Added optional LRU object for use with Routes when
URL’s change too often for the Routes urlcache dict to be a viable option.
--------------------------------------------------------------------------------
ChangeLog:

* Wed May  5 2010 Luke Macken <lmacken at redhat.com> - 1.12.1-1
- Update to 1.12.1
--------------------------------------------------------------------------------


================================================================================
 python-webob-0.9.8-1.fc12 (FEDORA-2010-8144)
 WSGI request and response object
--------------------------------------------------------------------------------
Update Information:

***0.9.8***    * Fix issue with WSGIHTTPException inadvertently generating
unicode body and failing to encode it  * WWW-Authenticate response header is
accessible as response.www_authenticate  * response.www_authenticate and
request.authorization hold None or tuple (auth_method, params) where params is a
dictionary (or a string when auth_method is not one of known auth schemes and
for Authenticate: Basic ...)  * Don’t share response headers when getting a
response like resp = req.get_response(some_app); this can avoid some funny
errors with modifying headers and reusing Response objects.  * Add overwrite
argument to Response.set_cookie() that make the new value overwrite the
previously set. False by default.  * Add strict argument to
Response.unset_cookie() that controls if an exception should be raised in case
there are no cookies to unset. True by default.  * Fix req.GET.copy()  * Make
sure that 304 Not Modified responses generated by
Response.conditional_response_app() exclude Content-{Length/Type} headers  * Fix
Response.copy() not being an independent copy  * When the requested range is not
satisfiable, return a 416 error (was returning entire body)  * Truncate response
for range requests that go beyond the end of body (was treating as invalid).
***0.9.7.1***    * Fix an import problem with Pylons
--------------------------------------------------------------------------------
ChangeLog:

* Wed May  5 2010 Luke Macken <lmacken at redhat.com> - 0.9.8-1
- Latest upstream release
- Get the test suite running
* Tue Jan 19 2010 Ricky Zhou <ricky at fedoraproject.org> - 0.9.7.1-1
- Upstream released new version.
--------------------------------------------------------------------------------


================================================================================
 remmina-0.7.5-1.fc12 (FEDORA-2010-8114)
 Remote Desktop Client
--------------------------------------------------------------------------------
ChangeLog:

* Wed May  5 2010 Damien Durand <splinux at fedoraproject.org> - 0.7.5-1
- Upstream release, 0.7.5
- Remove the old "DSO" patch
--------------------------------------------------------------------------------


================================================================================
 rubygem-ParseTree-3.0.5-1.fc12 (FEDORA-2010-8111)
 Extracts the parse tree for a class/method and returns an s-expression
--------------------------------------------------------------------------------
Update Information:

New upstream version - minor bugfix for NODE_METHOD. Release notes:
http://rubyforge.org/frs/shownotes.php?release_id=4313
--------------------------------------------------------------------------------
ChangeLog:

* Tue May  4 2010 Matthew Kent <mkent at magoazul.com> - 3.0.5-1
- New upstream version - minor bugfix for NODE_METHOD.
--------------------------------------------------------------------------------


================================================================================
 rubygem-ZenTest-4.3.1-1.fc12 (FEDORA-2010-8117)
 Automated test scaffolding for Ruby
--------------------------------------------------------------------------------
Update Information:

New upstream version. Minor bugfixes - ruby 1.9 compatibility. Release notes:
http://rubyforge.org/frs/shownotes.php?release_id=43172
--------------------------------------------------------------------------------
ChangeLog:

* Tue May  4 2010 Matthew Kent <mkent at magoazul.com> - 4.3.1-1
- New upstream version. Minor bugfixes - 1.9 compatibility.
--------------------------------------------------------------------------------


================================================================================
 rubygem-haml-2.2.24-1.fc12 (FEDORA-2010-8097)
 An elegant, structured XHTML/XML templating engine
--------------------------------------------------------------------------------
Update Information:

New upstream version - minor bugfixes and improvements. Release notes: http
://haml-lang.com/docs/yardoc/file.HAML_CHANGELOG.html
--------------------------------------------------------------------------------
ChangeLog:

* Tue May  4 2010 Matthew Kent <mkent at magoazul.com> - 2.2.24-1
- New upstream version - minor bugfixes and improvements.
- Drop unused sitelib macro.
- No backup files to cleanup now.
--------------------------------------------------------------------------------


================================================================================
 rubygem-rcov-0.9.8-1.fc12 (FEDORA-2010-8140)
 Code coverage analysis tool for Ruby
--------------------------------------------------------------------------------
Update Information:

New upstream version - fix for occasional SEGV.
--------------------------------------------------------------------------------
ChangeLog:

* Tue May  4 2010 Matthew Kent <mkent at magoazul.com> - 0.9.8-1
- New upstream version - fix for occasional SEGV.
- Enable tests.
--------------------------------------------------------------------------------


================================================================================
 rubygem-sexp_processor-3.0.4-1.fc12 (FEDORA-2010-8100)
 A branch of ParseTree providing generic sexp processing tools
--------------------------------------------------------------------------------
Update Information:

New upstream version - 1 minor enhancement. Release notes:
http://rubyforge.org/frs/shownotes.php?release_id=43138
--------------------------------------------------------------------------------
ChangeLog:

--------------------------------------------------------------------------------


================================================================================
 rubygem-thor-0.13.6-1.fc12 (FEDORA-2010-8122)
 Scripting framework that replaces rake, sake and rubigen
--------------------------------------------------------------------------------
Update Information:

New upstream version.
--------------------------------------------------------------------------------
ChangeLog:

* Wed May  5 2010 Matthew Kent <mkent at magoazul.com> - 0.13.6-1
- New upstream version.
--------------------------------------------------------------------------------


================================================================================
 selinux-policy-3.6.32-114.fc12 (FEDORA-2010-8130)
 SELinux policy configuration
--------------------------------------------------------------------------------
Update Information:

* Wed May 05 2010 Miroslav Grepl <mgrepl at redhat.com> 3.6.32-114   - Allow
denyhosts sys_tty_config capability   - Fixes for chrony policy   - Allow
ksmtuned to use terminals   - Allow lircd to write to generic usb devices
--------------------------------------------------------------------------------
ChangeLog:

* Wed May  5 2010 Miroslav Grepl <mgrepl at redhat.com> 3.6.32-114
- Allow denyhosts sys_tty_config capability
- Fixes for chrony policy
- Allow ksmtuned to use terminals
- Allow lircd to write to generic usb devices
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #584697 - SELinux is preventing /usr/bin/pulseaudio "signull" access     .
        https://bugzilla.redhat.com/show_bug.cgi?id=584697
  [ 2 ] Bug #585145 - SELinux is preventing winbindd "name_connect" access     .
        https://bugzilla.redhat.com/show_bug.cgi?id=585145
  [ 3 ] Bug #585335 - SELinux is preventing /bin/plymouth access to a leaked packet_socket file descriptor.
        https://bugzilla.redhat.com/show_bug.cgi?id=585335
  [ 4 ] Bug #585635 - SELinux is preventing /usr/lib/chromium-browser/chrome-sandbox access to a leaked fifo_file file descriptor.
        https://bugzilla.redhat.com/show_bug.cgi?id=585635
  [ 5 ] Bug #586101 - SELinux is preventing /usr/sbin/lircd "write" access      on 028.
        https://bugzilla.redhat.com/show_bug.cgi?id=586101
  [ 6 ] Bug #587616 - gpsd can't attach shm segment created by chrony
        https://bugzilla.redhat.com/show_bug.cgi?id=587616
  [ 7 ] Bug #587786 - SELinux is preventing /usr/bin/python "getattr" access      on /var/www/cobbler/ks_mirror/F12-x86_64/Fedora/x86_64/os/images/pxeboot/vmlinuz.
        https://bugzilla.redhat.com/show_bug.cgi?id=587786
  [ 8 ] Bug #587886 - SELinux is preventing /usr/bin/xauth "open" access      on cpuinfo.
        https://bugzilla.redhat.com/show_bug.cgi?id=587886
  [ 9 ] Bug #588451 - SELinux is preventing /usr/sbin/sendmail.postfix access to a leaked tcp_socket file descriptor.
        https://bugzilla.redhat.com/show_bug.cgi?id=588451
  [ 10 ] Bug #588563 - SELinux is preventing /usr/bin/python "sys_tty_config" access.
        https://bugzilla.redhat.com/show_bug.cgi?id=588563
--------------------------------------------------------------------------------


================================================================================
 squashfs-tools-4.0-3.fc12 (FEDORA-2010-8129)
 Utility for the creation of squashfs filesystems
--------------------------------------------------------------------------------
Update Information:

Fix reading squashfs v3 filesystems with v4 tools.
--------------------------------------------------------------------------------
ChangeLog:

* Wed May  5 2010 Kyle McMartin <kyle at redhat.com> 4.0-3
- squashfs-fix-unsquashing-v3.patch: pull in fix from cvs. Thanks pkl!
  (rhbz#523504)
- Add dist tag to version.
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #523504 - FATAL ERROR aborting: failed to read fragment table
        https://bugzilla.redhat.com/show_bug.cgi?id=523504
--------------------------------------------------------------------------------


================================================================================
 stonevpn-0.4.8-1.fc12 (FEDORA-2010-8096)
 Easy OpenVPN certificate and configuration management
--------------------------------------------------------------------------------
Update Information:

* Added: client template for Mac (OSX)  * Added: now accepts adding multiple
routes to clientfile  * Added: debug option (mainly for my own benefit)  *
Added: expanded expiration date option to specify hours, days or years  * Fixed:
certificates were sometimes generated with an incorrect time, depending on local
timezone.  * Fixed: rewrote 'route' section  * Fixed: freeip routine major
rewrite. Will now also accept a broader netmask than /24 (or higher).  * Fixed:
crash when providing empty prefix  * Changed: small cosmetic changes
--------------------------------------------------------------------------------
ChangeLog:

* Thu May  6 2010 L.S. Keijser <keijser at stone-it.com> - 0.4.8-1
- new version from upstream
--------------------------------------------------------------------------------



More information about the test mailing list